Page MenuHomePhabricator

Create a test suite that compiles mediawiki-vagrant puppet manifests
Open, LowestPublic

Description

We should have a test that attempts to compile mediawiki-vagrant puppet roles. rspec-puppet does magic on that front.

Event Timeline

hashar created this task.Dec 22 2017, 4:49 PM
hashar triaged this task as Normal priority.

Change 399834 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/vagrant@master] rspec-puppet for all the roles

https://gerrit.wikimedia.org/r/399834

hashar claimed this task.Dec 22 2017, 5:48 PM

Change 399965 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/vagrant@stretch-migration] rspec-puppet for all the roles

https://gerrit.wikimedia.org/r/399965

Change 400098 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/vagrant@stretch-migration] thumbor: nproc => $::processorcount

https://gerrit.wikimedia.org/r/400098

https://gerrit.wikimedia.org/r/399965 more or less compiles the catalog for the initial provisioning (site.pp) and for each of the roles. There are a few roles that fail for different kind of reasons, some of them already got fixed! I guess after the holiday I will look at wrapping that in a Jenkins job one can manually trigger.

Change 399834 abandoned by Hashar:
rspec-puppet for all the roles

Reason:
That is being done in the stretch-migration branch: https://gerrit.wikimedia.org/r/#/c/399965/

https://gerrit.wikimedia.org/r/399834

Change 400098 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] thumbor: nproc => $::processorcount

https://gerrit.wikimedia.org/r/400098

Change 401545 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/vagrant@stretch-migration] Compile puppet catalogs in CI

https://gerrit.wikimedia.org/r/401545

greg lowered the priority of this task from Normal to Low.Jan 2 2018, 11:01 PM
greg added a subscriber: greg.

I'm going to set this to Low priority, what with minikube/docker on the horizon.

Change 399965 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] rspec-puppet for all the roles

https://gerrit.wikimedia.org/r/399965

hashar added a comment.Jan 3 2018, 8:29 PM

I did most of the suite integration during my holidays. Bryan happily reviewed and merged the patches.

The steps for later:

  • https://gerrit.wikimedia.org/r/#/c/401545/5 would cause CI to compile the base puppet catalog. Would surely help catch a few bad changes.
  • for later, add a daily job that runs all the specs (eg :compile task with some Junit/Checkstyle report). That can be done later.

Change 401545 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] Compile the base puppet catalog on CI

https://gerrit.wikimedia.org/r/401545

hashar removed hashar as the assignee of this task.Jan 31 2018, 8:17 PM

status update

We need a Jenkins job that compiles all the roles on a daily basis and notify somewhere. Not sure which mailing list to send the spam to though.

greg lowered the priority of this task from Low to Lowest.

De-emphasizing due to concerns over usability of this.